<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title><h1>{{total | currency:' '}}</h1></ion-title>
  </ion-toolbar>

  <ion-toolbar mode="ios">
    <ion-row>
      <ion-col size="3"></ion-col>   
      <ion-col size="6" class="discount">
        <h3>{{discountAmount | currency: ' '}}</h3>
      </ion-col>
      <ion-col size="3"></ion-col>
  </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-text-center ion-padding">

  <ion-row>
    <ion-col size="4" *ngFor="let discount of discounts">
      <ion-button expand="full" [color]="discount == selected ? 'primary' : 'light'" shape="round" (click)="calcDiscount(discount)">{{discount}}%</ion-button>
    </ion-col>
  </ion-row>  

  <ion-row>
    <ion-col size="4" *ngFor="let key of keypads">
      <ion-button shape="round" expand="full" size="large" fill="outline" color="dark" (click)="keypress(key)">{{key}}</ion-button>
    </ion-col>
  </ion-row>

</ion-content>

<ion-footer hidden>
  <ion-button mode="ios" expand="full" shape="round" (click)="addDiscount()">Add Discount</ion-button>
</ion-footer>